Chat Remove Collection Byid
PUT/api/v1/chat/:workspace_id/remove/chatcollection/byid/:chat_id
Remove chat collection from chat.
Path Parameters
workspace_id (str): Workspace ID. chat_id (str): Chat ID.
Returns
ChatRemoveCollectionResponse: ChatRemoveCollectionResponse object. An object with chat information and attribute old_chat_collection_id with the removed collection.
Important observations:
This endpoint does not delete the collection, only removes the reference from the chat. It is recomended to call connectors api later to remove the returned old_chat_collection_id.
Request
Responses
- 200
- 207
- 208
- 400
- 401
- 403
- 404
- 409
- 422
- 428
- 502
- 503
- 504
Successful Response
Multi-Status
Already Reported
Bad Request
Unauthorized
Forbidden
Not Found
Conflict
Unprocessable Entity
Precondition Required
Bad Gateway
Service Unavailable
Gateway Timeout